---
updatedAt: 2026-04-05T19:47:05.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Restart a Bridge at the Bridge Client

Restart a JFrog Bridge connection between JPDs. Active sessions over TCP nodes or communication tunnels are terminated and new sessions are established after restart. For more information, see [Manage Bridges](https://docs.jfrog.com/administration/docs/manage-bridges).

**Security:** Requires Platform Admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Bridge API",
    "description": "Manage secure, encrypted connections between JFrog Platform Deployments (JPDs) in hybrid topologies. For more information, see [JFrog Bridge](https://docs.jfrog.com/administration/docs/manage-jfrog-bridges).\n\n**Note:** Bridges defined directly in `system.yaml` appear in the Bridges table but cannot be managed using the Platform interface or the Bridge APIs. Use only the JFrog Platform interface or the Bridge APIs to create and manage Bridges.\n\n**Authentication:** Access Tokens as bearer token in authorization header (`Authorization: Bearer <token>`).\n\n**Security:** Unless otherwise specified, all APIs require Platform Admin privileges.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}",
      "description": "JFrog Platform Server",
      "variables": {
        "protocol": {
          "default": "https",
          "enum": [
            "http",
            "https"
          ]
        },
        "host": {
          "default": "demo.jfrog.io",
          "description": "JFrog Platform hostname"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Bridge Client",
      "description": "Manage bridge connections, configurations, and diagnostics on the Self-managed JPD."
    }
  ],
  "security": [
    {
      "AdminBearerAuth": []
    }
  ],
  "paths": {
    "/bridge-client/api/v1/bridges/{bridge_id}/restart": {
      "post": {
        "tags": [
          "Bridge Client"
        ],
        "summary": "Restart a Bridge at the Bridge Client",
        "description": "Restart a JFrog Bridge connection between JPDs. Active sessions over TCP nodes or communication tunnels are terminated and new sessions are established after restart. For more information, see [Manage Bridges](https://docs.jfrog.com/administration/docs/manage-bridges).\n\n**Security:** Requires Platform Admin privileges.\n",
        "operationId": "restartBridge",
        "parameters": [
          {
            "name": "bridge_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The unique identifier of the Bridge"
          }
        ],
        "responses": {
          "204": {
            "description": "Success - Bridge restarted"
          },
          "400": {
            "description": "Bad Request - Failed to restart bridge"
          },
          "401": {
            "description": "Unauthorized user"
          },
          "403": {
            "description": "Action not permitted for this account"
          },
          "404": {
            "description": "Specified bridge not found"
          },
          "500": {
            "description": "Internal Server Error"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "AdminBearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token with admin permissions as bearer token",
        "bearerFormat": "JWT"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```